From 9ffd901c919987a590cfea19a5c2bb6be81ddaaa Mon Sep 17 00:00:00 2001
From: David P <megver83@parabola.nu>
Date: Oct 18 2021 12:43:46 +0000
Subject: [PATCH 17/23] linux-libre-lts: don't build htmldocs (armv7h)


Signed-off-by: David P <megver83@parabola.nu>

---

diff --git a/libre/linux-libre-lts/PKGBUILD b/libre/linux-libre-lts/PKGBUILD
index 55a4c7d..653a7ac 100644
--- a/libre/linux-libre-lts/PKGBUILD
+++ b/libre/linux-libre-lts/PKGBUILD
@@ -9,6 +9,8 @@
 
 # Based on linux-lts package
 
+# NOTE: Don't build htmldocs due to an error in sphinx (armv7h only)
+
 _replacesarchkernel=('linux%') # '%' gets replaced with kernel suffix
 _replacesoldkernels=() # '%' gets replaced with kernel suffix
 _replacesoldmodules=() # '%' gets replaced with kernel suffix
@@ -152,7 +154,9 @@ prepare() {
 build() {
   cd $_srcname
   make all
-  make htmldocs
+  if ! [ "$CARCH" = armv7h ]; then
+    make htmldocs
+  fi
 }
 
 _package() {
@@ -316,7 +320,8 @@ _package-docs() {
   ln -sr "$builddir/Documentation" "$pkgdir/usr/share/doc/$pkgbase"
 }
 
-pkgname=("$pkgbase" "$pkgbase-headers" "$pkgbase-docs")
+pkgname=("$pkgbase" "$pkgbase-headers")
+[[ $CARCH = armv7h ]] || pkgname+=("$pkgbase-docs")
 for _p in "${pkgname[@]}"; do
   eval "package_$_p() {
     $(declare -f "_package${_p#$pkgbase}")

